Package owl.ltl

## Class LabelledFormula

- java.lang.Object
- - owl.ltl.LabelledFormula

-     @Immutable
      public abstract class LabelledFormula
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LabelledFormula()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract Formula` | `formula()` |
    `LabelledFormula` | `nnf()` |
    `LabelledFormula` | `not()` |
    `static LabelledFormula` | `of​(Formula formula, List<String> variables)` |
    `static LabelledFormula` | `of​(Formula formula, List<String> variables, BitSet player1)` |
    `static LabelledFormula` | `of​(Formula formula, List<String> variables, Set<String> player1)` |
    `abstract Set<String>` | `player1Variables()` |
    `LabelledFormula` | `split​(Set<String> player1)` |
    `String` | `toString()` |
    `abstract List<String>` | `variables()` |
    `LabelledFormula` | `wrap​(Formula formula)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LabelledFormula

          public LabelledFormula()

  - ### Method Detail

    - #### formula

          public abstract Formula formula()

    - #### variables

          public abstract List<String> variables()

    - #### player1Variables

          public abstract Set<String> player1Variables()

    - #### of

          public static LabelledFormula of​(Formula formula,
                                           List<String> variables)

    - #### of

          public static LabelledFormula of​(Formula formula,
                                           List<String> variables,
                                           Set<String> player1)

    - #### of

          public static LabelledFormula of​(Formula formula,
                                           List<String> variables,
                                           BitSet player1)

    - #### wrap

          public LabelledFormula wrap​(Formula formula)

    - #### split

          public LabelledFormula split​(Set<String> player1)

    - #### not

          public LabelledFormula not()

    - #### nnf

          public LabelledFormula nnf()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`